MUPDF(1)

NAME
mupdf - MuPDF is a lightweight PDF viewer written in portable C

SYNOPSIS
mupdf [options] file[page_number]

DESCRIPTION
MuPDF is a document viewer that can show PDF, XPS, EPUB, XHTML, CBZ, and various image formats such as PNG, JPEG, GIF, and TIFF.

OPTIONS
A description of each of the supported options is included below.

-b box-name
    Use the given page box (MediaBox, CropBox, BleedBox, TrimBox, or ArtBox)

-c profile-filename
    Set the display ICC profile to the one in the named file.

-p password
    Uses the given password to open an encrypted PDF file. The password is tried both as user and owner password.

-r resolution
    Changes the initial zoom level, specified as the resolution in dpi. The default value is 72.

-A bits
    Changes the anti-aliasing quality, specified as a number of bits between 0 (off) and 8 (best). The default value is 8.

-B RRGGBB
    Sets the full-page black tint using hexadecimal color syntax. The default value is 303030.

-C RRGGBB
    Sets the full-page white tint using hexadecimal color syntax. The default value is FFFFF0.

-H height
    Page height in points for EPUB layout.

-I  Invert colors.

-J  Disable JavaScripts in PDF forms.

-R extraction-options
    Enable reflow and set the text extraction options.

-S size
    Font size in points for EPUB layout.

-U CSS-file
    User style sheet for EPUB layout.

-W width
    Page width in points for EPUB layout.

-X  Disable document styles for EPUB layout.

-Y factor
    Set the UI scaling factor.

MOUSE BEHAVIOR

Left mouse button click
    A left click on a hyper link follows the link. In presentation mode advances to the next page.

Right mouse button click
    In presentation mode goes back to the previous page.

Left mouse button drag
    Pan the page. Panning beyond the bottom or top edge will go to the next or previous page.

Right mouse button drag
    Select text in an area. On X11, the selected text can be pasted in another application with a middle click. Press Ctrl+C to copy the selected text to the clipboard. On Windows, the selected text will automatically be copied to the clipboard.

Scroll wheel
    Pan page up or down. Does not change page when reaching the bottom or top edge.

Shift + Scroll wheel
    Pan page left or right.

Control + Scroll wheel
    Zoom in or out.

KEY BINDINGS

Page navigation:

. pgdn space
    Go to the next page.

, pgup b
    Go to the previous page.

123g
    Go to page 123.

g, G
    Go to the first or last page.

m   Mark current page for snap back. Up to 256 pages can be marked.

t   Go backward one step in mark history.

T   Go forward one step in mark history.

[0–9]m
    Save the current page number in the numbered register.

[0–9]t
    Go to the page saved in the numbered register.

Zooming and rotating:

+, -
    Zoom in or out.

W, H
    Zoom page to exactly fit width/height of window.

Z   Zoom page to fit either to width or height of window.

z   Reset zoom level.

[, ]
    Rotate page left (counter-clockwise) or right (clockwise).

w   Shrinkwrap window to fit the page.

f   Toggles fullscreen mode.

Panning:

h, left, j, k, l, right
    Pan page left, down, up, or right.

Searching:

/, ?
    Search for text forwards or backwards.

n, N
    Find the next/previous search result.

Miscellaneous:

F1  Show key bindings help.

Escape
    Stop searching and/or remove focus from annotation/widget.

<, >
    Increase/decrease EPUB/XHTML font size.

r   Reload file.

p   Toggle presentation mode. (mupdf-x11 only)

P   Displays the current page number temporarily.

c   Toggle between color and grayscale rendering. (mupdf-x11 only)

C   Toggle full-page color tinting.

I   Toggle between normal and inverted color rendering.

E   Toggle ICC color mode.

e   Toggle spot color mode.

A   Set bit of anti-aliasing to use. The default is 8. 0 means no anti-aliasing, 9 means no anti-aliasing, centre-of-pixel rule, 10 means no anti-aliasing, any-part-of-a-pixel rule.

P   Show page number and total number of pages.

i   Show dialog box with informationa about the openend document.

B   Change used page box. (MediaBox, CropBox, BleedBox, TrimBox, or ArtBox) The active page box is mentioned in the information dialog box.

o   Show/hide document outline panel.

a   Show/hide annotation panel.

R   Show/hide redaction panel.

u   Show/hide undo/redo panel.

Y   Show/hide layers list.

o   Start/stop highlighting links.

F   Start/stop highlighting form widgets.

` F12
    Show JS console.

S   Save updated document file.

q   Quit.

SIGNALS

SIGHUP
    Sending a SIGHUP signal to the mupdf process will also cause the viewed file to be reloaded automatically, for use in e.g. build scripts.

ENVIRONMENT

BROWSER
    When mupdf opens a link it first uses BROWSER to browse the link and falls back to "xdg-open" if BROWSER is not defined.

SEE ALSO
mutool(1).

AUTHOR
MuPDF is Copyright 2006–2025 Artifex Software, Inc.